aboutsummaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorGuy Harris <guy@alum.mit.edu>2018-02-21 16:00:53 -0800
committerGuy Harris <guy@alum.mit.edu>2018-02-22 00:01:50 +0000
commit0161a5ba52db4e499e471d6482dc923b495b9989 (patch)
tree1ccd6f0b08e3933e2ff2661a9f7cc399118ff1cd /packaging
parent95e33c7097fb5c858e1fc34ee9e92c15b788c0db (diff)
Don't strip debugging symbols from the binaries in the macOS image.
Unstripped binaries should allow better stack traces in the CrashReporter files. Change-Id: Idb2f11cd664dc62331f3394dee09abcd4e88f897 Reviewed-on: https://code.wireshark.org/review/25977 Reviewed-by: Guy Harris <guy@alum.mit.edu>
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/macosx/osx-app.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/packaging/macosx/osx-app.sh.in b/packaging/macosx/osx-app.sh.in
index 8bf91782e7..cf31c022a3 100755
--- a/packaging/macosx/osx-app.sh.in
+++ b/packaging/macosx/osx-app.sh.in
@@ -297,7 +297,7 @@ fi
# This may not work on Qt 5.5.0 or 5.5.1:
# https://bugreports.qt.io/browse/QTBUG-47868
#
-macdeployqt "$bundle" -verbose=2 || exit 1
+macdeployqt "$bundle" -no-strip -verbose=2 || exit 1
#
# The build process added to the Wireshark binary an rpath entry